Bug 1420693 - CF 4.2 (docker) logs are not rotated
Summary: CF 4.2 (docker) logs are not rotated
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: All
OS: Linux
unspecified
low
Target Milestone: GA
: cfme-future
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
URL:
Whiteboard: appliance
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 10:22 UTC by Gaetan QUENTIN
Modified: 2019-08-06 20:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-16 21:11:13 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Gaetan QUENTIN 2017-02-09 10:22:33 UTC
Description of problem:


CF 4.3 logs are not rotated.


Version-Release number of selected component (if applicable):
CF 4.2 (docker)

How reproducible:


Steps to Reproduce:
1.Look in /var/www/miq/vmdb/log

Actual results:
No *-{Date}.gz files

Expected results:
logs be rotated ..

Additional info:
 /etc/logrotate.d/miq_logs.conf is the file from MIQ.
It contains:
 source /etc/default/evm; /bin/sh ${APPLIANCE_SOURCE_DIRECTORY}/logrotate_free_space_check.sh $1

And :
/etc/default/evm contains:

export APPLIANCE_SOURCE_DIRECTORY=/opt/manageiq/manageiq-appliance
export APPLIANCE_TEMPLATE_DIRECTORY=${APPLIANCE_SOURCE_DIRECTORY}/TEMPLATE

but: /opt/manageiq/manageiq-appliance do not exist

it is /opt/rh/cfme-appliance/

Comment 2 Dave Johnson 2017-02-09 23:54:36 UTC
Einat, can you or someone on your team working with both the docker image and the container image check this out please.

Comment 3 Einat Pacifici 2017-02-15 07:50:30 UTC
I have assigned. 
Dafna, can you pls check this BZ?

Comment 7 Barak 2017-02-16 21:09:24 UTC
Gaetan,

I think you are talking about manageiq (and not CF)

I have opened a github issue https://github.com/ManageIQ/manageiq-pods/issues/98

So closing this bug.

In case I am mistaken please reopen.

Comment 9 Gaetan QUENTIN 2017-03-11 21:37:45 UTC
Barak,

 no i was talking about CF 4.2 in docker.

And CF 4.2 has MIQ configuration, while directories have changed .


Note You need to log in before you can comment on or make changes to this bug.